org.cpsolver.exam.model

## Class ExamRoom.ExamRoomContext

- java.lang.Object
- - org.cpsolver.exam.model.ExamRoom.ExamRoomContext

- All Implemented Interfaces:
    AssignmentConstraintContext<Exam,ExamPlacement>, AssignmentContext
  Enclosing class:
    ExamRoom

      public class ExamRoom.ExamRoomContext
      extends Object
      implements AssignmentConstraintContext<Exam,ExamPlacement>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExamRoomContext(Assignment<Exam,ExamPlacement> assignment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assigned(Assignment<Exam,ExamPlacement> assignment, ExamPlacement placement)` Called when `ConstraintWithContext.assigned(Assignment, long, Value)` is called to update the content of the context.
    `List<ExamPlacement>` | `getPlacements(int period)`
    `void` | `unassigned(Assignment<Exam,ExamPlacement> assignment, ExamPlacement placement)` Called when `ConstraintWithContext.unassigned(Assignment, long, Value)` is called to update the content of the context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExamRoomContext

          public ExamRoomContext(Assignment<Exam,ExamPlacement> assignment)

  - ### Method Detail

    - #### assigned

          public void assigned(Assignment<Exam,ExamPlacement> assignment,
                               ExamPlacement placement)

      Description copied from interface: `AssignmentConstraintContext`
      Called when `ConstraintWithContext.assigned(Assignment, long, Value)` is called to update the content of the context.
      Specified by:
        `assigned` in interface `AssignmentConstraintContext<Exam,ExamPlacement>`
      Parameters:
        `assignment` - current assignment (with which this context is associated)
        `placement` - assigned value

    - #### unassigned

          public void unassigned(Assignment<Exam,ExamPlacement> assignment,
                                 ExamPlacement placement)

      Description copied from interface: `AssignmentConstraintContext`
      Called when `ConstraintWithContext.unassigned(Assignment, long, Value)` is called to update the content of the context.
      Specified by:
        `unassigned` in interface `AssignmentConstraintContext<Exam,ExamPlacement>`
      Parameters:
        `assignment` - current assignment (with which this context is associated)
        `placement` - unassigned value

    - #### getPlacements

          public List<ExamPlacement> getPlacements(int period)